Subject: Re: [PATCH v6 1/5] common-main: split init and exit code into new files

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 17 Jan 2025 10:44:28 +0100

On Thu, Jan 16, 2025 at 01:02:33PM -0800, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > Unfortunately, build based on meson does not seem to like the
> > init_git() thing.  Perhaps we need to add some missing files to
> > relevant lists in meson.build file or something silly like that?
> >
> > https://github.com/git/git/actions/runs/12800227601/job/35687658673#step:8:961
> 
> I needed the following to get "meson compile" pass in my local
> environment.  I suspect that Mesonized CI jobs exercise a bit more
> than just "meson compile", so there is no guarantee that the
> following is enough, but at least hopefully it would nudge you (and
> those who may be interested in helping to build a working Rust
> bindings) in the right direction.
> 
> I think it should be squashed into the step these files are added,
> i.e. [PATCH 1/5].
> 
> Thanks.
> 
>  meson.build | 2 ++
>  1 file changed, 2 insertions(+)
> 
> diff --git c/meson.build w/meson.build
> index 0064eb64f5..e5ba28b47f 100644
> --- c/meson.build
> +++ w/meson.build
> @@ -245,6 +245,8 @@ libgit_sources = [
>    'commit-graph.c',
>    'commit-reach.c',
>    'commit.c',
> +  'common-exit.c',
> +  'common-init.c',
>    'compat/nonblock.c',
>    'compat/obstack.c',
>    'compat/terminal.c',

Yeah, I remember having the same hunk while Meson was still in-flight in
order to make it compatible with "seen". So this should be sufficient.

Patrick